--liquibase formatted sql

--changeset [enson]:update_pick_execution_issue_add_columns_and_modify_status

-- 1. 添加新列 issueNo
ALTER TABLE pick_execution_issue
ADD COLUMN issue_no VARCHAR(50) NULL AFTER id;

-- 2. 添加新列 Type
ALTER TABLE pick_execution_issue
ADD COLUMN type VARCHAR(50) NULL AFTER issue_no;

-- 3. 修改 handle_status 枚举值
ALTER TABLE pick_execution_issue
MODIFY COLUMN handle_status ENUM('pending', 'Sort and Repair', 'Dispose') NULL DEFAULT 'pending';